Request Order Cancellation
POST
/api/web/orders/{orderNumber}/cancellation-requests
const url = 'https://api.wms.restock.tech/api/web/orders/example/cancellation-requests';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"reason":"Buyer changed their mind","requestId":"store-cancel-ORD-20260830-68829-1"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wms.restock.tech/api/web/orders/example/cancellation-requests \ --header 'Content-Type: application/json' \ --data '{ "reason": "Buyer changed their mind", "requestId": "store-cancel-ORD-20260830-68829-1" }'Client submits a cancellation request for admin review. This does not cancel the outbound.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”orderNumber
required
string
Header Parameters
Section titled “Header Parameters”x-secret-key
string
Secret Key
x-access-key
string
Access Key
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reason
required
string
Example
Buyer changed their mindrequestId
required
string
Example
store-cancel-ORD-20260830-68829-1Responses
Section titled “Responses”Media typeapplication/json
object
success
required
object
data
required
object
message
required
string
code
required
number
Example generated
{ "success": {}, "data": {}, "message": "example", "code": 1}